<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--
IGAC proyecto SNC

@author 		eddixon.castillo, juan.agudelo
@description  	Composite component donde se muestra detalle de zonas geoeconómicas homogéneas físicas y rurales  

Attributes:
@param 			zonaHomogeneaFisicaAtt: zona homogénea seleccionada
-->
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:composite="http://java.sun.com/jsf/composite">

    <composite:interface>

        <composite:attribute name="thisZFWVName" required="true" />

        <composite:attribute name="thisId" required="true"
                             shortDescription="id que se le da este cc en donde se incluye. Debe estar antecedido de ':' para que funcione en casos donde va vacío" />

        <composite:attribute name="currentPredio" required="true"
                             shortDescription="predio seleccionado" />

        <composite:attribute name="zonaHomogeneaFisica" required="true"
                             shortDescription="zona homogénea física seleccionada" />

    </composite:interface>

    <composite:implementation>

        <p:dialog widgetVar="#{cc.attrs.thisZFWVName}"
                  id="detallesZonaFisicaDialog" modal="false" dynamic="true"
                  height="550" appendToBody="true" minHeight="300" minWidth="650"
                  header="Zona homogénea física" closable="true" maximizable="true"
                  minimizable="false">

            <h:panelGrid id="#{cc.attrs.thisIdPlusColon}ZonaFisicaPanel">

                <h:panelGrid columns="2">

                    <p:panel id="visor" header="Espacio para el visor">
                        <p:spacer id="spc3" height="300" width="0" />
                    </p:panel>

                    <h:panelGrid cellpadding="7" columns="1">

                        <p:fieldset>
                            <legend>
                                <h:outputText value="Identificación de la zona homogénea física"
                                              styleClass="legendTitle" />
                            </legend>

                            <h:panelGrid cellpadding="7" columns="5">

                                <h:outputLabel value="Departamento: "
                                               styleClass="outputLabelStyle" />
                                <h:panelGrid columns="3" cellspacing="3">
                                    <h:outputText styleClass="outputTextStyle"
                                                  value="#{cc.attrs.currentPredio.departamento.codigo} " />
                                    <h:outputText styleClass="outputTextStyle" value="-" />
                                    <h:outputText styleClass="outputTextStyle"
                                                  value="#{cc.attrs.currentPredio.departamento.nombre}" />
                                </h:panelGrid>

                                <p:spacer height="0" width="7" />
                                <h:outputLabel value="Municipio:" styleClass="outputLabelStyle" />
                                <h:panelGrid columns="3" cellspacing="3">
                                    <h:outputText styleClass="outputTextStyle"
                                                  value="#{cc.attrs.currentPredio.municipio.codigo} " />
                                    <h:outputText styleClass="outputTextStyle" value="-" />
                                    <h:outputText styleClass="outputTextStyle"
                                                  value="#{cc.attrs.currentPredio.municipio.nombre}" />
                                </h:panelGrid>

                                <h:outputLabel value="Zona: " styleClass="outputLabelStyle" />
                                <h:outputText styleClass="outputTextStyle"
                                              value="#{cc.attrs.zonaHomogeneaFisica.zona.nombre}" />

                                <p:spacer height="0" width="7" />
                                <h:outputLabel value="Zona homogénea física: "
                                               styleClass="outputLabelStyle">
                                </h:outputLabel>
                                <h:outputText styleClass="outputTextStyle"
                                              value="#{cc.attrs.zonaHomogeneaFisica.zonaGeoeconomica}" />

                            </h:panelGrid>
                        </p:fieldset>
                        <ui:remove>
                            <p:fieldset>
                                <legend>
                                    <h:outputText value="Zona Homogénea Física Urbana"
                                                  styleClass="legendTitle" />
                                </legend>
                                <h:panelGrid columns="3" cellspacing="7">
                                    <h:outputLabel value="Topografia: "
                                                   styleClass="outputLabelStyle">
                                    </h:outputLabel>
                                    <h:outputText styleClass="outputTextStyle"
                                                  value="#{zonaHomogeneaFisicaParam}" />
                                    <h:outputText></h:outputText>

                                    <h:outputLabel value="Vias: " styleClass="outputLabelStyle">
                                    </h:outputLabel>
                                    <h:outputText styleClass="outputTextStyle"
                                                  value="#{zonaHomogeneaFisicaParam}" />
                                    <h:outputText></h:outputText>

                                    <h:outputLabel value="Servicios Publicos: "
                                                   styleClass="outputLabelStyle">
                                    </h:outputLabel>
                                    <h:outputText styleClass="outputTextStyle"
                                                  value="#{zonaHomogeneaFisicaParam}" />
                                    <h:outputText></h:outputText>

                                    <h:outputLabel value="Uso actual del Suelo: "
                                                   styleClass="outputLabelStyle">
                                    </h:outputLabel>
                                    <h:outputText styleClass="outputTextStyle"
                                                  value="#{zonaHomogeneaFisicaParam}" />
                                    <h:outputText></h:outputText>

                                    <h:outputLabel value="Actividad Economica:"
                                                   styleClass="outputLabelStyle">
                                    </h:outputLabel>
                                    <h:outputText styleClass="outputTextStyle"
                                                  value="#{zonaHomogeneaFisicaParam}" />
                                    <h:outputText></h:outputText>

                                    <h:outputLabel value="Tipificación Actividad Económica:"
                                                   styleClass="outputLabelStyle">
                                    </h:outputLabel>
                                    <h:outputText styleClass="outputTextStyle"
                                                  value="#{zonaHomogeneaFisicaParam}" />
                                    <h:outputText></h:outputText>

                                    <h:outputLabel value="Norma de Uso: "
                                                   styleClass="outputLabelStyle">
                                    </h:outputLabel>
                                    <h:outputText styleClass="outputTextStyle"
                                                  value="#{zonaHomogeneaFisicaParam}" />
                                    <h:outputText></h:outputText>

                                    <h:outputLabel value="Otras variables: "
                                                   styleClass="outputLabelStyle">
                                    </h:outputLabel>
                                    <h:outputText styleClass="outputTextStyle"
                                                  value="#{zonaHomogeneaFisicaParam}" />
                                </h:panelGrid>
                            </p:fieldset>

                            <p:fieldset>
                                <legend>
                                    <h:outputText value="Zona Homogénea Física Rural"
                                                  styleClass="legendTitle" />
                                </legend>
                                <h:panelGrid columns="3" cellspacing="7">
                                    <h:outputLabel value="Descripción de vías: "
                                                   styleClass="outputLabelStyle">
                                    </h:outputLabel>
                                    <h:outputText styleClass="outputTextStyle"
                                                  value="#{zonaHomogeneaFisicaParam}" />
                                    <h:outputText></h:outputText>

                                    <h:outputLabel value="Tipo de vías: "
                                                   styleClass="outputLabelStyle">
                                    </h:outputLabel>
                                    <h:outputText styleClass="outputTextStyle"
                                                  value="#{zonaHomogeneaFisicaParam}" />
                                    <h:outputText></h:outputText>

                                    <h:outputLabel value="Tipo de uso: "
                                                   styleClass="outputLabelStyle">
                                    </h:outputLabel>
                                    <h:outputText styleClass="outputTextStyle"
                                                  value="#{zonaHomogeneaFisicaParam}" />
                                    <h:outputText></h:outputText>

                                    <h:outputLabel value="Elementos predominamentes: "
                                                   styleClass="outputLabelStyle">
                                    </h:outputLabel>
                                    <h:outputText styleClass="outputTextStyle"
                                                  value="#{zonaHomogeneaFisicaParam}" />
                                    <h:outputText></h:outputText>

                                    <h:outputLabel value="Disponibilidad de agua: "
                                                   styleClass="outputLabelStyle">
                                    </h:outputLabel>
                                    <h:outputText styleClass="outputTextStyle"
                                                  value="#{zonaHomogeneaFisicaParam}" />
                                    <h:outputText></h:outputText>

                                    <h:outputLabel value="Norma de uso: "
                                                   styleClass="outputLabelStyle">
                                    </h:outputLabel>
                                    <h:outputText styleClass="outputTextStyle"
                                                  value="#{zonaHomogeneaFisicaParam}" />
                                    <h:outputText></h:outputText>

                                    <h:outputLabel value="otras Variables: "
                                                   styleClass="outputLabelStyle">
                                    </h:outputLabel>
                                    <h:outputText styleClass="outputTextStyle"
                                                  value="#{zonaHomogeneaFisicaParam}" />
                                </h:panelGrid>
                            </p:fieldset>
                        </ui:remove>
                    </h:panelGrid>
                </h:panelGrid>
            </h:panelGrid>
    </composite:implementation>

</html>